// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "HAL/Runnable.h"
#include "HAL/RunnableThread.h"

class AAzureKinect;

class VRKINECTREG_API FAzureKinectThread : public FRunnable
{
	
	
public:
	FAzureKinectThread(AAzureKinect *kinect);
	~FAzureKinectThread();

	void Terminate();

	virtual bool Init() override;
	virtual uint32 Run() override;
	virtual void Stop() override;

private:
	FRunnableThread* thread;
	FThreadSafeCounter stopCounter;
	AAzureKinect* kinect;
};