// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "HAL/Runnable.h"
#include "HAL/RunnableThread.h"

class ARegistrationManager;

class VRKINECTREG_API FRegistrationThread : public FRunnable
{
	
	
public:
	FRegistrationThread(ARegistrationManager* registrationManager);
	~FRegistrationThread();

	void Terminate();

	virtual bool Init() override;
	virtual uint32 Run() override;
	virtual void Stop() override;

private:
	FRunnableThread* thread;
	FThreadSafeCounter stopCounter;
	ARegistrationManager* registrationManager;
};